Show / Hide Table of Contents

# Struct Character

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Character

### Fields

| Improve this Doc View Source

#### CompanionObject

##### Declaration

    public Companion*CompanionObject

##### Field Value

Type | Description
--- | ---
Companion* |

| Improve this Doc View Source

#### CompanionOwnerID

##### Declaration

    public uint CompanionOwnerID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CustomizeData

##### Declaration

    public byte *CustomizeData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### EquipSlotData

##### Declaration

    public byte *EquipSlotData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GameObject

##### Declaration

    public GameObject GameObject

##### Field Value

Type | Description
--- | ---
GameObject |

| Improve this Doc View Source

#### StatusFlags

##### Declaration

    public byte StatusFlags

##### Field Value

Type | Description
--- | ---
System.Byte |